Page MenuHomePhabricator

Drop user links feature flag
Closed, ResolvedPublic3 Estimated Story Points

Description

Now that user links is enabled everywhere, we can drop the associated feature flag and code. This will simplify the code and our ability to test, and reduce the amount of CSS/JS we ship to end users.

Risk: Be careful not to turn the user links into a drop down in legacy Vector.

A/C

  • Drop VectorConsolidateUserLinks config flag.
  • Skin::shouldConsolidateUserLinks is removed. In some cases replace the code with $this->isLegacy()
  • Drop any unused CSS relating to supporting modern Vector without user links into legacy mode.
  • Drop references to is-consolidated-user-links template variable
  • Retain vector-search-box-collapses and vector-search-box-show-thumbnail classes.

QA

  • Make sure legacy Vector still shows the user links as a flat horizontal list of links
  • Make sure modern Vector shows the dropdown

QA Results - Beta

ACStatusDetails
1T288852#7322331
2T288852#7322331

QA Results - Prod

ACStatusDetails
1T288852#7369018
2T288852#7369018

Event Timeline

ovasileva lowered the priority of this task from High to Medium.Aug 16 2021, 5:37 PM

Change 714639 had a related patch set uploaded (by Clare Ming; author: Clare Ming):

[mediawiki/skins/Vector@master] Remove user links feature flag

https://gerrit.wikimedia.org/r/714639

Remaining work:

  • We need to address the FIXME resources/skins.vector.styles/components/UserLinks.less
  • Once the code above is deployed we'll need to cleanup mediawiki-config to remove the rules $wgVectorConsolidateUserLinks (we can file a follow up task for that as part of sign off)

Change 714639 merged by jenkins-bot:

[mediawiki/skins/Vector@master] Remove user links feature flag

https://gerrit.wikimedia.org/r/714639

bwang removed bwang as the assignee of this task.Aug 26 2021, 7:01 PM
bwang assigned this task to Jdlrobson.
bwang added a subscriber: bwang.
Jdlrobson removed Jdlrobson as the assignee of this task.EditedAug 30 2021, 6:45 PM

I'm addressing the rest of the clean up inside T283757.

Worth running the two smoke tests in description as part of QA.

Test Result - Beta

Status: ✅ PASS
Environment: beta
OS: macOS Big Sur
Browser: Chrome
Device: MBP
Emulated Device: NA

Test Artifact(s):

QA Steps

✅ AC1: Make sure legacy Vector still shows the user links as a flat horizontal list of links

Screen Shot 2021-08-31 at 9.50.46 AM.png (225×1 px, 79 KB)

Screen Shot 2021-08-31 at 9.52.08 AM.png (225×1 px, 87 KB)

✅ AC2: Make sure modern Vector shows the dropdown

Screen Shot 2021-08-31 at 9.52.36 AM.png (364×1 px, 72 KB)

Screen Shot 2021-08-31 at 9.52.24 AM.png (364×1 px, 112 KB)

Change 716585 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[mediawiki/skins/Vector@master] [refactor] Remove common UserLinks code

https://gerrit.wikimedia.org/r/716585

I found something else that can be cleaned up so moving back to code review ^^^

Change 716585 merged by jenkins-bot:

[mediawiki/skins/Vector@master] [refactor] Remove common UserLinks code

https://gerrit.wikimedia.org/r/716585

Test Result - Prod

Status: ✅ PASS
Environment: enwiki
OS: macOS Big Sur
Browser: Chrome
Device: MBP
Emulated Device: NA

Test Artifact(s):

QA Steps

✅ AC1: Make sure legacy Vector still shows the user links as a flat horizontal list of links

Screen Shot 2021-09-21 at 6.45.52 AM.png (491×1 px, 299 KB)

Screen Shot 2021-09-21 at 6.47.04 AM.png (491×1 px, 379 KB)

✅ AC2: Make sure modern Vector shows the dropdown

Screen Shot 2021-09-21 at 6.46.11 AM.png (491×1 px, 260 KB)

Screen Shot 2021-09-21 at 6.46.54 AM.png (491×1 px, 294 KB)